petsc-3.4.2 2013-07-02

# PCPythonSetType

Initalize a PC object implemented in Python.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCPythonSetType(PC pc,const char pyname[])

Collective on PC

### Input Parameter

| pc | - the preconditioner (PC) context.
| pyname | - full dotted Python name [package].module[.{class|function}]

### Options Database Key

-pc_python_type <pyname> -

### Keywords

PC, Python

### See Also

PCCreate(), PCSetType(), PCPYTHON, PetscPythonInitialize()

Level:intermediate
Location:src/ksp/pc/impls/python/pythonpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages